"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var graphql_1 = require("graphql");
var visitor_1 = require("./visitor");
exports.plugin = function (schema, documents, config) {
    var prefix = "type $Pick<Origin: Object, Keys: Object> = $ObjMapi<Keys, <Key>(k: Key) => $ElementType<Origin, Key>>;\n";
    var allAst = graphql_1.concatAST(documents.reduce(function (prev, v) {
        return prev.concat([v.content]);
    }, []));
    var visitorResult = graphql_1.visit(allAst, {
        leave: new visitor_1.FlowDocumentsVisitor(schema, config)
    });
    return [prefix].concat(visitorResult.definitions).join('\n');
};
//# sourceMappingURL=index.js.map